/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2021 . All rights reserved.
*
*/
package net.northking.cctp.testbug.dto.bus;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.Size;
import java.io.Serializable;

/**
* Restful接口--新增资源--数据传输对象：缺陷管理
*
* createddate:  2021-10-08 16:05:30  <br>
* @author:  maven-cctp-plugin  <br>
* @since:  1.0 <br>
*/
@ApiModel(description = "")
public class BugGradeStatisticsAddDto implements Serializable
{
    /**
     * 主键id<br>
     */
    @ApiModelProperty("主键id")
    private String id;
    /**
     * 分配人<br>
     */
    @ApiModelProperty("分配人")
    private String receiverName;
    /**
     * 登入账号<br>
     */
    @ApiModelProperty("登入账号")
    private String loginNo;
    /**
     * 模块<br>
     */
    @ApiModelProperty("模块")
    private String moduleId;
    /**
     * 类型<br>
     */
    @ApiModelProperty("类型")
    private String type;
    private Integer A;
    private Integer B;
    private Integer C;
    private Integer D;
    private Integer E;
    /**
     * 创建时间<br>
     */
    @ApiModelProperty("创建时间")
    private String createdTime;
    /**
     * 租户id<br>
     */
    @ApiModelProperty("租户id")
    private String tenantId;
    /**
     * 项目id<br>
     */
    @ApiModelProperty("项目id")
    @Size(max = 32, message="项目id-proId: 数据长度不能 > 32" )
    private String projectId;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getReceiverName() {
        return receiverName;
    }

    public void setReceiverName(String receiverName) {
        this.receiverName = receiverName;
    }

    public String getLoginNo() {
        return loginNo;
    }

    public void setLoginNo(String loginNo) {
        this.loginNo = loginNo;
    }

    public String getModuleId() {
        return moduleId;
    }

    public void setModuleId(String moduleId) {
        this.moduleId = moduleId;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public Integer getA() {
        return A;
    }

    public void setA(Integer a) {
        A = a;
    }

    public Integer getB() {
        return B;
    }

    public void setB(Integer b) {
        B = b;
    }

    public Integer getC() {
        return C;
    }

    public void setC(Integer c) {
        C = c;
    }

    public Integer getD() {
        return D;
    }

    public void setD(Integer d) {
        D = d;
    }

    public Integer getE() {
        return E;
    }

    public void setE(Integer e) {
        E = e;
    }

    public String getCreatedTime() {
        return createdTime;
    }

    public void setCreatedTime(String createdTime) {
        this.createdTime = createdTime;
    }

    public String getTenantId() {
        return tenantId;
    }

    public void setTenantId(String tenantId) {
        this.tenantId = tenantId;
    }

    public String getProjectId() {
        return projectId;
    }

    public void setProjectId(String projectId) {
        this.projectId = projectId;
    }
}